| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Attributes | List of all members
Digikam::SearchFieldRangeDouble Class Reference
Inheritance diagram for Digikam::SearchFieldRangeDouble:

## Public Member Functions
| SearchFieldRangeDouble (QObject *const parent)
void | read (SearchXmlCachingReader &reader) override
void | reset () override
void | setBetweenText (const QString &text)
void | setBoundary (double min, double max, int decimals, double step)
void | setFactor (double factor)
void | setInvertStepping (bool invert)
void | setNoValueText (const QString &text)
void | setNumberPrefixAndSuffix (const QString &prefix, const QString &suffix)
void | setSingleSteps (double smaller, double larger)
void | setSuggestedInitialValue (double initialValue)
void | setSuggestedValues (const QList< double > &values)
void | setupValueWidgets (QGridLayout *layout, int row, int column) override
void | setValueWidgetsVisible (bool visible) override
QList< QRect > | valueWidgetRects () const override
void | write (SearchXmlWriter &writer) override
Public Member Functions inherited from Digikam::SearchField
| SearchField (QObject *const parent)
bool | isVisible () override
void | setCategoryLabelVisible (bool visible)
void | setCategoryLabelVisibleFromPreviousField (SearchField *const previousField)
void | setFieldName (const QString &fieldName)
virtual void | setText (const QString &label, const QString &detailLabel)
void | setup (QGridLayout *const layout, int row=-1)
void | setVisible (bool visible) override
virtual bool | supportsField (const QString &fieldName)
QList< QRect > | widgetRects (WidgetRectType=ValueWidgetRectsOnly) const

## Protected Slots
void | valueChanged ()
Protected Slots inherited from Digikam::SearchField
void | clearButtonClicked ()

## Protected Attributes
QLabel * | m_betweenLabel = nullptr
double | m_factor = 1.0
CustomStepsDoubleSpinBox * | m_firstBox = nullptr
double | m_max = 100.0
double | m_min = 0.0
CustomStepsDoubleSpinBox * | m_secondBox = nullptr
Protected Attributes inherited from Digikam::SearchField
bool | m_categoryLabelVisible = true
AnimatedClearButton * | m_clearButton = nullptr
QLabel * | m_detailLabel = nullptr
QLabel * | m_label = nullptr
QString | m_name
bool | m_valueIsValid = false

## Additional Inherited Members
Public Types inherited from Digikam::SearchField
enum | WidgetRectType { LabelAndValueWidgetRects , ValueWidgetRectsOnly }
Signals inherited from Digikam::SearchField
void | signalVisibilityChanged ()
Static Public Member Functions inherited from Digikam::SearchField
static SearchField * | createField (const QString &fieldName, SearchFieldGroup *const parent)
Protected Member Functions inherited from Digikam::SearchField
virtual void | setupLabels (QGridLayout *layout, int line)
void | setValidValueState (bool valueIsValid)

## Member Function Documentation

## ◆ read()

void Digikam::SearchFieldRangeDouble::read | ( | SearchXmlCachingReader & | reader | ) |
| override virtual

Implements Digikam::SearchField.

## ◆ reset()

void Digikam::SearchFieldRangeDouble::reset | ( |  | ) |
| override virtual

Implements Digikam::SearchField.

## ◆ setupValueWidgets()

void Digikam::SearchFieldRangeDouble::setupValueWidgets | ( | QGridLayout * | layout,
|  | int | row,
|  | int | column
| ) |  |
| override virtual

Implements Digikam::SearchField.

## ◆ setValueWidgetsVisible()

void Digikam::SearchFieldRangeDouble::setValueWidgetsVisible | ( | bool | visible | ) |
| override virtual

Implements Digikam::SearchField.

## ◆ valueWidgetRects()

QList< QRect > Digikam::SearchFieldRangeDouble::valueWidgetRects | ( |  | ) | const
| override virtual

Implements Digikam::SearchField.

## ◆ write()

void Digikam::SearchFieldRangeDouble::write | ( | SearchXmlWriter & | writer | ) |
| override virtual

Implements Digikam::SearchField.